<template>
	<main>
		<div class="cards">
			<h1>So findest du uns</h1>
			<div class="card-body cols c-1-1 mobile-flex">
				<div class="mapouter">
					<div class="gmap_canvas">
						<iframe id="gmap_canvas" src="https://maps.google.com/maps?q=wien%20&t=&z=9&ie=UTF8&iwloc=&output=embed"></iframe>
					</div>
				</div>
				<div class="cell">
					<p>Musterstraße 23</p>
					<p>A-12345 Hintertupfing</p>
				</div>
			</div>
		</div>

		<div class="cards">
			<h1>So sieht's hier aus</h1>
			<div class="card-body cols c-1-1">
				<img @click="showImage(baseUrl + '/program/hangar_0' + n + '.jpg')" v-for="n in 6" :key="n" :src="baseUrl + '/program/hangar_0' + n + '.jpg'" alt="Bild" class="card-flyer clickable" />
				<p>
					Images: &copy; <a class="link" href="https://www.eventonline.be/" target="_blank" title="eventonline.be">eventonline.be</a>
					( <a class="link" href="https://www.hangar43.be/" target="_blank" title="hangar43.be">hangar43.be</a> )
				</p>
			</div>
		</div>

		<image-viewer @clicked="resetUrl" v-if="imageUrl" :image-url="imageUrl" />

	</main>
</template>

<script>
import ImageViewer from "@/components/ImageViewer";
export default {
	name: "Location",
	title: "Location",
	components: {ImageViewer},
	data: () => ({
		imageUrl: ""
	}),
	methods: {
		showImage(url) {
			this.imageUrl = url;
		},
		resetUrl() {
			this.imageUrl = "";
		}
	},
	computed: {
		baseUrl() {
			return process.env.VUE_APP_BASE_URL;
		}
	},
	mounted() {
	}
}
</script>

<style scoped>
.mapouter {
	position: relative;
	text-align: right;
	height: 15rem;
	width: 100%;
}
.gmap_canvas {
	overflow: hidden;
	background: none !important;
	height: 15rem;
	width: 100%;
}
.gmap_canvas iframe {
	width: 100%;
	height: 100%;
	border: 0;
}
</style>